### Method

# Ggit TreeBuilder get_entry

#### Declaration [src]

    GgitTreeEntry*
    ggit_tree_builder_get_entry (
      GgitTreeBuilder* builder,
      const gchar* path
    )

#### Description [src]

Get an entry by path.

#### Parameters

`path`

  Type: `const gchar*`

  The path to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GgitTreeEntry`

The `GGitTreeEntry` or `NULL` if no such entry exists.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.